package com.common.commonlibtest.viewpagerlayoutmanager.scale;


import com.common.commonlib.view.viewpagerlayoutmanager.ScaleLayoutManager;
import com.common.commonlibtest.viewpagerlayoutmanager.BaseActivity;
import com.common.commonlibtest.viewpagerlayoutmanager.Util;

public class ScaleLayoutActivity extends BaseActivity<ScaleLayoutManager, ScalePopUpWindow> {

    @Override
    protected ScaleLayoutManager createLayoutManager() {
        return new ScaleLayoutManager(this, Util.Dp2px(this, 10));
    }

    @Override
    protected ScalePopUpWindow createSettingPopUpWindow() {
        return new ScalePopUpWindow(this, getViewPagerLayoutManager(), getRecyclerView());
    }
}
